Bug 513422 (CVE-2009-0668)

Summary: CVE-2009-0668 zope: ZEO arbitrary Python code execution in the context of server process
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: jonathansteffan, rmccabe
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-07 21:41:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
ZEO patch by Jim Fulton (for both CVE-2009-0668 and CVE-2009-0669) none

Description Jan Lieskovsky 2009-07-23 15:22:34 UTC
A missing access control check was found in the way Zope Enterprise Objects (ZEO) used to manage remote connections to the Zope server. A remote attacker
could use this flaw to execute arbitrary Python code in the context of
Zope server.

Comment 1 Jan Lieskovsky 2009-07-23 15:24:45 UTC
Created attachment 354876 [details]
ZEO patch by Jim Fulton (for both CVE-2009-0668 and CVE-2009-0669)

Comment 5 Tomas Hoger 2009-08-06 13:32:12 UTC
conga (Remote Management System used by Red Hat Cluster Suite) uses zope, but does not ship ZEO/ZODB component and hence is not affected by this problem.

zope is currently only part of EPEL5 (2.10.7).

Comment 7 Fedora Update System 2009-11-10 03:22:08 UTC
zope-2.10.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.